Dim global_success, faxnr, SMTPServer, Recipient, From, Subject, Message

Sub OnConfigLoaded()
    Rem -- Modify the configuration to extract text from the printer 
    Rem -- output.
    
    faxnr = InputBox("Faxnummereingabe (ohne Sonder- und Leerzeichen):", "Rechnung senden")
    
	 Context("Config")("showsettings") = "never"
    Context("Config")("showpdf") = "no"    
    Context("Config")("output") = "C:\temp\print\<date>-<time>.pdf"
    Context("Config")("superimpose") = "C:\temp\print\background.pdf"
    Context("Config")("author") = "<username>"
    Context("Config")("confirmoverwrite") = "no"
    Context("Config")("mergefile") = "C:\temp\print\agb.pdf"
    Context("Config")("mergeposition") = "top"
    
End Sub

Sub OnSuccess()
	global_success = true
End Sub

Sub OnAfterPrint()
		
	If global_success Then
		
		Rem -- Absender <username>@mailserver.de
		Rem -- Empfnger faxnr@fax.local
		
		SMTPServer = "smtp.mailserver.local"
		Recipient = faxnr & "@fax.local"
		From = Context("DocumentAuthor") & "@mailserver.de" 
		Subject = "Ihre SAP Rechnung"
		Message = "Anbei erhalten Sie Ihre SAP - Rechnung fuer den Technikerauftrag des Technikers " & Context("DocumentAuthor") & vbcrlf & "Vielen Dank fuer Ihren Auftrag!" 

		set msg = CreateObject("CDO.Message")
		msg.From = From
		msg.To = Recipient
		msg.Subject = Subject
		msg.TextBody = Message
		
		' To add an attachment uncomment this line
		msg.AddAttachment Context("OutputFileName")

		msg.Configuration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpserver") = SMTPServer
		msg.Configuration.Fields("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2
		msg.Configuration.Fields.Update

		msg.Send
		
		MsgBox "Die Rechnung wurde versendet."
		
		' Del PDF
		Set objFSO = CreateObject("Scripting.FileSystemObject")
		objFSO.DeleteFile(Context("OutputFileName"))
		
	Else
		
		MsgBox "Ein Fehler beim Rechnungsversand ist aufgetreten. Bitte versuchen Sie es erneut!"
		
	End If

End Sub